use crate::types::{
    enums::target_user::TargetUser, 
    structs::handler_entity::HandlerEntity
};

pub fn get_user(
    handler_entity: HandlerEntity, 
    arg: Option<&str>, 
    arg_pos: &mut usize, 
) -> TargetUser {
    match (
        handler_entity.message_reciever.reply_to_message(),
        arg,
    ) {
        (Some(msg), _) => TargetUser::CurrentMessage(msg.clone()),
        (None, Some(raw_id)) => {
            *arg_pos += 1;
            if let Ok(id) = raw_id.parse::<i64>() {
                TargetUser::Id(id)
            } else {
                TargetUser::None
}
        }
        (None, None) => {
            TargetUser::None
        }
    }
}
